/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl.debugger;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import com.agentfactory.afapl.interpreter.CommitmentRule;
import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;

/**
 *
 * @author remcollier
 */
public class RulePanel extends JPanel implements InspectorPanel {
    private JTextArea rules;
    private AFAPLSnapshot snapshot;
    
    public RulePanel() {
        this.setLayout(new BorderLayout());
        
        rules = new JTextArea();
        JScrollPane pane = new JScrollPane(rules);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot shot) {
        this.snapshot = (AFAPLSnapshot) shot;

        String output = "";
        for (CommitmentRule rule: snapshot.rules) {
        	output += rule.toString() +"\n";
        }
    	rules.setText(output);
    }
}
