package com.agentfactory.afapl.interpreter;

import com.agentfactory.clf.lang.IFormula;
import com.agentfactory.clf.util.DefaultLogicPresenter;

public class AFAPLLogicPresenter extends DefaultLogicPresenter {
	public String toString(IFormula formula) {
		if (Goal.class.isInstance(formula)) {
			Goal goalFormula = (Goal) formula;
			if (goalFormula.goalType() == Goal.ACHIEVE) {
				return "!" + toString(((Goal) formula).formula());
			} else if (goalFormula.goalType() == Goal.MAINTAIN) {
				return "$" + toString(((Goal) formula).formula());
			}
		}
			
		return super.toString(formula);
	}
}
