/*
 * ProgramNode.java
 *
 * Created on 13 June 2006, 14:54
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.compiler.parser.node;

import java.util.ArrayList;

import com.agentfactory.afapl2.compiler.parser.LexicalAnalyser;
import com.agentfactory.afapl2.compiler.parser.LexicalAnalyserException;
import com.agentfactory.afapl2.compiler.parser.ParseTreeException;
import java.util.List;
/**
 *
 * @author Administrator
 */
public class AndNode extends Node {
    private List<Node> nodes;
    
    /** Creates a new instance of ProgramNode */
    public AndNode() {
        nodes = new ArrayList<Node>();
    }
    
    public void addNode(Node node) {
        nodes.add(node);
    }
    
    @Override
	public void construct(LexicalAnalyser analyser) throws LexicalAnalyserException, ParseTreeException {
    }
    
    @Override
	public String toString() {
        StringBuffer buf = new StringBuffer();
        int i = 0;
        boolean first = true;
        while (i<nodes.size()) {
            if (first) first=false;
            else buf.append(" & ");
            buf.append(nodes.get(i++).toString());
        }
        return buf.toString();
    }
    
    public List<Node> getChildren() {
        return nodes;
    }
}
