/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.compiler.typeCheck;
import com.agentfactory.afapl2.compiler.parser.node.FOSNode;

/**
 *
 * @author remcollier
 */
public class ShortTypeChecker implements ITypeChecker {
    public ShortTypeChecker() {
    }
    
    public boolean validate(FOSNode fos) {
        if (fos.isConstant()) {
            try {
                Short.parseShort(fos.getFunctor());
                return true;
            } catch (RuntimeException e) {
                // Do nothing - this is because the String is not an int...
            }
        }
        return false;
    }

}
