/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.compiler.typeCheck;

import com.agentfactory.afapl2.compiler.parser.node.EnumNode;
import com.agentfactory.afapl2.compiler.parser.node.FunctionNode;
import com.agentfactory.afapl2.compiler.parser.node.OntologyNode;

/**
 *
 * @author remcollier
 */
public class TypeChecker extends BasicTypeChecker {
    
    public TypeChecker(OntologyNode node) {
        super();
        
        for (EnumNode en: node.getEnumerations()) {
            checkers.put(en.getIdentifier(), new EnumTypeChecker(en.getConstants()));
        }
        for (FunctionNode fn: node.getFunctions()) {
            checkers.put(fn.getFunctor(), new FunctionTypeChecker(this, fn.getTypes()));
        }
    }
}
