/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.debugger.model;

import java.io.Serializable;
import java.util.Map;

import com.agentfactory.logic.agent.Perceptor;

/**
 *
 * @author remcollier
 */
public class PerceptorDescription implements Serializable {
    private String identifier;
    private String perceptor;
    private Map<String,String> configuration;
    
    public PerceptorDescription(Perceptor perceptor) {
        identifier = perceptor.getIdentifier().toString();
        this.perceptor = perceptor.getClass().getName();
        configuration = perceptor.getConfiguration();
    }
    
    public String getIdentifier() {
        return identifier;
    }
    
    public String getPerceptor() {
        return perceptor;
    }
    
    public Map<String,String> getConfiguration() {
        return configuration;
    }
            
}
