/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.interpreter;

import com.agentfactory.platform.core.IAgent;
import com.agentfactory.platform.impl.AbstractArchitectureFactory;

/**
 *
 * @author remcollier
 */
public class AFAPL2ArchitectureFactory extends AbstractArchitectureFactory {
    public IAgent create(String name, Object design) {
        ScriptBasedAFAPL2Agent agent = new ScriptBasedAFAPL2Agent(name);
        agent.processArgs(configuration);
        Scanner scanner = null;
        try {
            scanner = new Scanner(getClass().getResourceAsStream("/" + (String) design));
        } catch (NullPointerException e) {
            throw new RuntimeException("ERROR: Agent Design Does Not Exist: " + design);
        }
        agent.construct(scanner);
        return agent;
    }

    public boolean filter(Object design) {
        if (String.class.isInstance(design)) {
            return ((String) design).endsWith(".agent");
        }
        return false;
    }
}
