/*
 * FOSDecoder.java
 *
 * Created on November 5, 2007, 8:46 AM
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */
package com.agentfactory.afapl2.interpreter.decoder;

import java.util.LinkedList;
import java.util.List;

import com.agentfactory.logic.agent.ActivityIdentifier;

/**
 *
 * @author remcollier
 */
public class ActivityDecoder implements Decoder {

    private List<String> list;
    private int index;
    private ActivityIdentifier aid;

    /** Creates a new instance of BeliefDecoder */
    public ActivityDecoder(List<String> list) {
        this(list, 1);
    }

    /** Creates a new instance of BeliefDecoder */
    public ActivityDecoder(List<String> list, int offset) {
        this.list = list;
        index = offset;
    }

    public void decode() {
        String id = list.get(index++);
        int size = Integer.parseInt(list.get(index++));
        
        List<String> variables = new LinkedList<String>();
        List<String> types = new LinkedList<String>();
        while (size > 0) {
            types.add(list.get(index++));
            variables.add(list.get(index++));
            size--;
        }
        
        aid = new ActivityIdentifier(id, types, variables);
    }

    public ActivityIdentifier getActivityIdentifier() {
        return aid; 
    }

    public int getOffset() {
        return index;
    }
}
