/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.agentspeak.debugger.inspector;

import javax.swing.JTabbedPane;

import com.agentfactory.visualiser.impl.AbstractLanguageAgentInspector;
import com.agentfactory.visualiser.impl.ActionLogPanel;

/**
 *
 * @author remcollier
 */
public class AgentSpeakInspector extends AbstractLanguageAgentInspector {
    @Override
    public void addTabs(JTabbedPane jTabbedPane) {
        super.addTabs(jTabbedPane);
        
        jTabbedPane.addTab("Events", new EventPanel());
        jTabbedPane.addTab("Beliefs", new BeliefPanel());
        jTabbedPane.addTab("Inferences", new InferencePanel());
        jTabbedPane.addTab("Rules", new RulePanel());
        jTabbedPane.addTab("Intentions", new IntentionPanel());
        jTabbedPane.addTab("Action Log", new ActionLogPanel());
    }
}
