/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.astr.debugger.inspector;

import java.awt.BorderLayout;

import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTextArea;

import com.agentfactory.astr.debugger.ASTRSnapshot;
import com.agentfactory.astr.debugger.IntentionDescription;
import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;

/**
 *
 * @author remcollier
 */
public class IntentionPanel extends JPanel implements InspectorPanel {
    /**
	 * 
	 */
	private static final long serialVersionUID = 174163471997125174L;
	private JTextArea rules;
    private ASTRSnapshot snapshot;
    
    public IntentionPanel() {
        this.setLayout(new BorderLayout());
        
        rules = new JTextArea();
        JScrollPane pane = new JScrollPane(rules);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot shot) {
        this.snapshot = (ASTRSnapshot) shot;

        String output = "";
        for (IntentionDescription commitment: snapshot.commitments) {
        	output += commitment.toString() +"\n";
        }
    	rules.setText(output);
    }
}
