package com.agentfactory.clf.interpreter;

import com.agentfactory.clf.lang.Predicate;


public abstract class Sensor extends AbstractComponent {
   
   protected Module module;
   
	@Override
	protected void addBelief(String belief) {
		Predicate predicate = (Predicate) CoreUtilities.factory.createFormula(belief);
		predicate.getLabels().add((Predicate) CoreUtilities.factory.createFormula("source(percept)"));
		agent.addBelief(predicate);
	}
	
	public abstract void perceive();
	
	protected void setModule( Module module ) {
	   this.module = module;
	}
}
