/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.rma.debugger;

import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;
import java.awt.BorderLayout;
import java.util.Map;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JTable;
import javax.swing.table.DefaultTableModel;
import javax.swing.table.TableColumn;

/**
 *
 * @author remcollier
 */
public class MemoryPanel extends JPanel implements InspectorPanel {
    private JTable memory;
    
    public MemoryPanel() {
        this.setLayout(new BorderLayout());
        DefaultTableModel model = new DefaultTableModel();
        model.addColumn("Key");
        model.addColumn("Value");
        
        memory = new JTable(model);
        TableColumn col = memory.getColumnModel().getColumn(0);
        col.setMaxWidth(200);
        
        add(BorderLayout.CENTER, new JScrollPane(memory));
    }
    
    public void update(ISnapshot _snapshot) {
        RMASnapshot snapshot = (RMASnapshot) _snapshot;
        DefaultTableModel model = (DefaultTableModel) memory.getModel();
        int index = model.getRowCount();
        while (index > 0) {
            model.removeRow(--index);
        }
        
        Object[] rowData = null;
        Map<String, Object> map = snapshot.getMemory();
        for (String key:map.keySet()) {
            rowData = new Object[2];
            rowData[0] = key;
            rowData[1] = map.get(key);
            model.addRow(rowData);
        }
    }

}
