/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.rma.debugger;

import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;
import java.awt.BorderLayout;
import javax.swing.DefaultListModel;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JToolBar;

/**
 *
 * @author remcollier
 */
public class MessageHandlersPanel extends JPanel implements InspectorPanel {
    private JList services;
    
    public MessageHandlersPanel() {
        this.setLayout(new BorderLayout());
        services = new JList(new DefaultListModel());
        
        JToolBar toolbar = new JToolBar();
        toolbar.add(new JLabel("Message Handlers:"));
        add(BorderLayout.NORTH, toolbar);
        JScrollPane scrollPane = new JScrollPane(services);
        add(BorderLayout.CENTER, scrollPane);
    }
    
    public void update(ISnapshot _snapshot) {
        RMASnapshot snapshot = (RMASnapshot) _snapshot;
        DefaultListModel model = (DefaultListModel) services.getModel();
        model.removeAllElements();
        
        for (String handler:snapshot.getMessgeHandlers()) {
            model.addElement(handler);
        }
    }

}
