package com.agentfactory.smt;

import com.agentfactory.platform.core.IAgentPlatform;

public class ConnectCommand implements ICommandHandler {
	private IAgentPlatform platform;
	
	public ConnectCommand(IAgentPlatform platform) {
		this.platform = platform;
	}
	
	@Override
	public String handle(String[] command) {
		return platform.getName() + "." + platform.getDomain();
	}

	@Override
	public String type() {
		return "CONNECT";
	}

}
