/*
 * ProgramNode.java
 *
 * Created on 13 June 2006, 14:54
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.compiler.parser.node;

import com.agentfactory.afapl2.compiler.parser.LexicalAnalyser;
import com.agentfactory.afapl2.compiler.parser.LexicalAnalyserException;
import com.agentfactory.afapl2.compiler.parser.ParseTreeException;

/**
 *
 * @author Administrator
 */
public class ImportNode extends Node {
    private ClassNode node;
    
    /** Creates a new instance of ProgramNode */
    public ImportNode() {
    }
    
    @Override
	public void construct(LexicalAnalyser analyser) throws LexicalAnalyserException, ParseTreeException {
        // NOT construct syntax: !<node>
        
        node = ClassNode.createClassNode(analyser.getNextToken(), analyser);
    }
    
    
    @Override
	public String toString() {
        return "IMPORT " + node.toString();
    }
    
    public String getAFAPL2File() {
        return node.toString();
    }
}
