/*
 * ProgramNode.java
 *
 * Created on 13 June 2006, 14:54
 *
 * To change this template, choose Tools | Template Manager
 * and open the template in the editor.
 */

package com.agentfactory.afapl2.compiler.parser.node;

import com.agentfactory.afapl2.compiler.parser.LexicalAnalyser;
import com.agentfactory.afapl2.compiler.parser.LexicalAnalyserException;
import com.agentfactory.afapl2.compiler.parser.ParseTreeException;
import com.agentfactory.afapl2.compiler.parser.ParserHelper;
import com.agentfactory.afapl2.compiler.parser.token.Token;

/**
 *
 * @author Administrator
 */
public class TriggerNode extends Node {
    private Node node;
    
    /** Creates a new instance of ProgramNode */
    public TriggerNode() {
    }
    
    @Override
	public void construct(LexicalAnalyser analyser) throws LexicalAnalyserException, ParseTreeException {
        // TRIGGER construct syntax: TRIGGER <and-node>
        
        Token token = analyser.getNextToken();
        node = ParserHelper.checkForLogicOperators(";", Node.create(token, analyser), token, analyser);
        token = analyser.getNextToken();
    }
    
    
    @Override
	public String toString() {
        return "TRIGGER " + node.toString();
    }
    
    public Node getTrigger() {
        return node;
    }
}
