package com.agentfactory.afapl2.core.actuator;
import com.agentfactory.logic.agent.Actuator;
import com.agentfactory.logic.agent.Belief;
import com.agentfactory.logic.lang.FOS;

public class BindToService extends Actuator {
    @Override
	public boolean act(FOS action) {
        String id = action.argAt(0).toString();
        
        Belief belief = null;
        if (!agent.bindToPlatformService(id)) {
            belief = createBelief("unknownService");
            belief.bind("?id", id);
            adoptBelief(belief);
            return false;
        }
        
        belief = createBelief("boundToService");
        belief.bind("?id", id);
        adoptBelief(belief);
        return true;
    }
}
