package com.agentfactory.afapl2.core.actuator;

import com.agentfactory.afapl2.interpreter.AbstractAFAPL2Agent;
import com.agentfactory.afapl2.interpreter.control.RoleLibrary;
import com.agentfactory.logic.agent.Actuator;
import com.agentfactory.logic.lang.FOS;

public class DeactivateRoleActuator extends Actuator {
    @Override
	public boolean act(FOS action) {
        FOS role = action.argAt(0);
        RoleLibrary library = ((AbstractAFAPL2Agent) agent).getRoleLibrary();
        return library.deactRole(role);
    }
}
