package com.agentfactory.afapl2.interpreter;

import java.util.List;

import com.agentfactory.afapl2.interpreter.mentalState.Commitment;
import com.agentfactory.afapl2.interpreter.mentalState.CommitmentRule;

public interface ICommitmentManager {
	public void adoptCommitments();
	public void manageCommitments();
	public void addInitialCommitment(Commitment commitment);
	public boolean hasCommitment(Commitment commitment);
	public List<Commitment> getCommitments();
	public void addCommitmentRule(CommitmentRule rule);
	public List<CommitmentRule> getCommitmentRules();
}
