/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.agentspeak.debugger.inspector;

import java.awt.BorderLayout;

import javax.swing.DefaultListModel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;

import com.agentfactory.agentspeak.debugger.AgentSpeakSnapshot;
import com.agentfactory.visualiser.core.ISnapshot;
import com.agentfactory.visualiser.impl.InspectorPanel;

/**
 *
 * @author remcollier
 */
public class InferencePanel extends JPanel implements InspectorPanel {
    private JList list;
    private AgentSpeakSnapshot snapshot;
    
    public InferencePanel() {
        this.setLayout(new BorderLayout());
        
        list = new JList(new DefaultListModel());        
        JScrollPane pane = new JScrollPane(list);
        this.add(BorderLayout.CENTER, pane);
    }
    
    public synchronized void update(ISnapshot snapshot) {
        this.snapshot = (AgentSpeakSnapshot) snapshot;
        update();
    }
    
    private void update() {
        DefaultListModel model = new DefaultListModel();
        
        for (String inference:snapshot.inferences) {
            model.addElement(inference);
        }
        list.setModel(model);
        list.repaint();
    }
}
