package com.agentfactory.astr.interpreter;

import com.agentfactory.clf.lang.IFormula;
import com.agentfactory.clf.util.DefaultLogicPresenter;

public class ASTRLogicPresenter extends DefaultLogicPresenter {
	public String toString(IFormula formula) {
		if (TestFormula.class.isInstance(formula)) {
			return "?" + toString(((TestFormula) formula).formula());
		} else if (StateUpdateFormula.class.isInstance(formula)) {
			StateUpdateFormula f = (StateUpdateFormula) formula;
			return ((f.updateType() == StateUpdateFormula.ADDITION) ? "+":"-") + toString(f.formula());
		} else if(AchievementFormula.class.isInstance(formula)) {
			return "!" + toString(((AchievementFormula) formula).formula());
		}
			
		return super.toString(formula);
	}
}
