package com.agentfactory.clf.plans;

import com.agentfactory.clf.interpreter.AbstractLanguageAgent;
import com.agentfactory.clf.reasoner.Bindings;

public interface IPlanStep {
	public static final String TAB							= "    ";
	public IPlanStep apply(Bindings set);
	public void handle(AbstractLanguageAgent agent, PlanStack planStack);
	public String toString(String tabs);
}
