package com.agentfactory.clf.util;

import com.agentfactory.clf.lang.IFormula;
import com.agentfactory.clf.lang.ITerm;
import com.agentfactory.clf.lang.Predicate;

public interface ILogicFactory {
	public IFormula createFormula(String fos);
	public ITerm createTerm(String fos);
	public Predicate convertToPredicate(ITerm term);
	public ITerm convertToTerm(Predicate predicate);
}
