/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.rma.debugger;

import com.agentfactory.platform.core.IScheduler;
import com.agentfactory.visualiser.core.IAgentInspector;
import com.agentfactory.visualiser.core.IInspectorFactory;
import com.agentfactory.visualiser.core.IStateManager;
import java.util.Observable;

/**
 *
 * @author remcollier
 */
public class RMAInspectorFactory implements IInspectorFactory {
    public boolean handles(IStateManager manager) {
        return RMAStateManager.class.isInstance(manager);
    }

    public IAgentInspector create(IStateManager manager, IScheduler scheduler) {
        RMAInspector inspector = new RMAInspector();
        inspector.init(manager, scheduler);
        ((Observable) manager).addObserver(inspector);
        return inspector;
    }

}
