/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.rma.debugger;

import com.agentfactory.rma.ReactiveMessageAgent;
import com.agentfactory.visualiser.impl.DefaultSnapshot;
import com.agentfactory.visualiser.impl.DefaultStateManager;

/**
 *
 * @author remcollier
 */
public class RMAStateManager extends DefaultStateManager {
    @Override
    protected DefaultSnapshot createSnapshot() {
        return new RMASnapshot();
    }
    
    @Override
    protected void constructSnapshot(DefaultSnapshot shot) {
        super.constructSnapshot(shot);
        
        RMASnapshot snap = (RMASnapshot) shot;
        ReactiveMessageAgent agt = (ReactiveMessageAgent) agent;
        snap.memory = agt.getMemory();
        snap.eventHandlers = agt.getEventHandlers();
        snap.messageHandlers = agt.getMessageHandlers();
        snap.handledEvents = agt.getHandledEvents();
    }
}
