/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.rma.debugger;

import com.agentfactory.platform.core.IAgent;
import com.agentfactory.visualiser.core.IStateManager;
import com.agentfactory.visualiser.core.IStateManagerFactory;

/**
 *
 * @author remcollier
 */
public class RMAStateManagerFactory implements IStateManagerFactory {
	private int maxHistory = 100;
	
    public String getType() {
        return "RMA";
    }

    public IStateManager createStateManager(IAgent agent) {
        IStateManager manager = new RMAStateManager();
        manager.setAgent(agent);
        manager.setMaxHistory(maxHistory);
        return manager;
    }

	@Override
	public void setMaxHistory(int maxHistory) {
		this.maxHistory = maxHistory;
	}

}
