package com.agentfactory.teleoreactive.debugger.inspector;

import javax.swing.JTabbedPane;

import com.agentfactory.visualiser.impl.DefaultAgentInspector;

@SuppressWarnings("serial")
public class TeleoReactiveInspector extends DefaultAgentInspector {

    public void addTabs(JTabbedPane jTabbedPane) {
        super.addTabs(jTabbedPane);
        
        jTabbedPane.addTab("Action Trace", new ActionTracePanel());
        jTabbedPane.addTab("Actions", new ActionPanel());
        jTabbedPane.addTab("Sensor", new SensorPanel());
        jTabbedPane.addTab("Functions", new FunctionPanel());
        jTabbedPane.addTab("Beliefs", new BeliefPanel());
        jTabbedPane.addTab("Program Stack", new ProgramTracePanel());
    }
    
    
    

}
