/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.visualiser.impl;

import java.awt.BorderLayout;

import javax.swing.DefaultListModel;
import javax.swing.JLabel;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.JToolBar;

import com.agentfactory.visualiser.core.ISnapshot;

/**
 *
 * @author remcollier
 */
public class ActionLogPanel extends JPanel implements InspectorPanel {
	private static final long serialVersionUID = 1L;
	private JList actionLog;
    
    public ActionLogPanel() {
        this.setLayout(new BorderLayout());
        actionLog = new JList(new DefaultListModel());
        
        JToolBar toolbar = new JToolBar();
        toolbar.add(new JLabel("Recent Actions:"));
        add(BorderLayout.NORTH, toolbar);
        JScrollPane scrollPane = new JScrollPane(actionLog);
        add(BorderLayout.CENTER, scrollPane);
    }
    
    public void update(ISnapshot snapshot) {
        DefaultListModel model = new DefaultListModel();
        
        for (String log: snapshot.getActionLog()) {
            model.add(0, log);
        }
        
        actionLog.setModel(model);
    }

}
