/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package com.agentfactory.visualiser.impl;

import com.agentfactory.platform.core.IAgent;
import com.agentfactory.visualiser.core.IStateManager;
import com.agentfactory.visualiser.core.IStateManagerFactory;

/**
 *
 * @author remcollier
 */
public class DefaultStateManagerFactory implements IStateManagerFactory {
	private int maxHistory;
	
    public void setMaxHistory(int maxHistory) {
    	this.maxHistory = maxHistory;
    }

    public String getType() {
        return "n/a";
    }

    public IStateManager createStateManager(IAgent agent) {
        IStateManager manager = new DefaultStateManager();
        manager.setMaxHistory(maxHistory);
        manager.setAgent(agent);
        return manager;
    }

}
